% Author: Scott Sanner
% Email:  ssanner@cs.stanford.edu
% Course: CS223B, Winter
% Desc:   Displays an image array
%
% showimages(IM, xdim, ydim, start, end, fign)
function showimages(IM, xdim, ydim, start, end, fign)

% Show the image set if fign is valid
if (fign>0)
   figure(fign);
   for i=start:end,
      subplot(xdim,ydim,i-start+1);
      imagesc(IM{i});
      colormap gray;
   end
end
